/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Role;
import com.jeeplus.modules.sys.entity.SysRoleActivity;

/**
 * 系统预警Entity
 * @author chenyuping
 * @version 2018-08-14
 */
public class SysWarningRole extends DataEntity<SysWarningRole> {
	
	private static final long serialVersionUID = 1L;
	private String roleId;		// 角色id
	private String warningId;		// 预警表主键
	private SysRoleActivity role;

	public SysRoleActivity getRole() {
		return role;
	}

	public void setRole(SysRoleActivity role) {
		this.role = role;
	}

	public SysWarningRole() {
		super();
	}

	public SysWarningRole(String id){
		super(id);
	}

	@ExcelField(title="角色id", align=2, sort=7)
	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}
	
	@ExcelField(title="预警表主键", align=2, sort=8)
	public String getWarningId() {
		return warningId;
	}

	public void setWarningId(String warningId) {
		this.warningId = warningId;
	}
	
}